Kumusoft Solutions
EFRIS API
EFRIS API
  1. ๐Ÿ“ฆ Stock Management
  • ๐Ÿš€ Getting started
  • ๐Ÿ” Authentication
    • Getting started
    • Calling Kumusoft APIs
    • API Keys
    • Generate auth Token
      POST
  • ๐Ÿงพ Invoicing
    • How to generate a Fiscal invoice
    • Generate fiscal invoice
      POST
    • Preview fiscal invoice
      POST
    • Search invoices
      POST
    • Invoice detils
      GET
  • ๐Ÿ“ฆ Stock Management
    • All stock items
      GET
    • Search stock items
      POST
    • Reduce stock
      POST
    • Increase stock
      POST
    • Register stock item
      POST
  • ๐Ÿ“ƒ Credit Notes
    • Issue credit note
      POST
  • โš™๏ธ Masterdata
    • Registration details
      GET
    • Get Masterdata
      GET
  • ๐Ÿ“‹ Reference
    • Overview
    • Data Sources
    • Invoice Types
    • Tax Rules
    • Return Codes
      • Overview
      • General system return codes
      • Taxpayer return codes
      • Invoice return codes
      • Credit note return codes
      • Stock management return codes
      • Device return codes
      • Invoice industry codes
  1. ๐Ÿ“ฆ Stock Management

Register stock item

Developing
POST
/register-product
Register a new stock item on the EFRIS platform

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/jsonRequired

Examples

Responses

๐ŸŸข200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://efristest.kumusoft.xyz/register-product' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "products": [
        {
            "goodsName": "Diesel fuel",
            "goodsCode": "DFOO2",
            "measureUnit": "101", // Refer to the Units of Measure endpoint
            "unitPrice": "5200",
            "currency": "101", // Refer to the master data document
            "commodityCategoryId": "15101505",
            "haveExciseTax": "102",
            "description": "1",
            "stockPrewarning": "1",
            "pieceMeasureUnit": "",
            "havePieceUnit": "102",
            "pieceUnitPrice": "",
            "packageScaledValue": "",
            "pieceScaledValue": "",
            "exciseDutyCode": ""
        }
    ]
}'
Response Response Example
{}
Previous
Increase stock
Next
Issue credit note
Built with